package org.springblade.audit.listener;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;
import lombok.extern.slf4j.Slf4j;
import org.springblade.audit.dto.FctCsComplaintDetailDTO;
import org.springblade.audit.dto.IntFzzDisconutDTO;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Slf4j
@Component
public class FctCsComplaintDetailListener extends AnalysisEventListener<FctCsComplaintDetailDTO> {

	public List<FctCsComplaintDetailDTO> list = new ArrayList<FctCsComplaintDetailDTO>();

	public FctCsComplaintDetailListener() {
	}

	@Override
	public void invokeHeadMap(Map<Integer, String> headMap, AnalysisContext context) {
	}

	@Override
	public void invoke(FctCsComplaintDetailDTO t, AnalysisContext analysisContext) {
		list.add(t);
	}

	@Override
	public void doAfterAllAnalysed(AnalysisContext analysisContext) {
	}


}
